package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag942;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT942Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT942AbsCreator;

import java.util.List;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class TagCycleCreator extends AbsTagCreate {

     private MT942Creator mt942Creator;

    public TagCycleCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt942Creator= (MT942Creator) absMTCreator;
    }


    public  void creator()
    {
        List<MT942AbsCreator> tagList=mt942Creator.getCycleDomain();
        for (MT942AbsCreator abs942:tagList) {
            mt942Creator.set("61",abs942.getStatementLine());
            mt942Creator.set("86",abs942.getInfotoAccOwnr());
        }


    }
}
